# Makefile for plotting antsontable data

## plot: have gnuplot plot snapshots from ants.txt to screen
plot: plotsnapshots.gnuplot ants.txt
	gnuplot --persist plotsnapshots.gnuplot

## snapshots.png: have matplotlib's pyplot plot snapshots from ants.txt into snapshots.png
snapshots.png: plotsnapshots.py ants.txt
	python plotsnapshots.py

.PHONY: plot
