[//]: # \mainpage
This is the code for assignment 2 for the scientific computing course
PHY1610H given in the Winter of 2021.

It performs a simulation of ants walking on a table.  The table is
subdivided into squares. A number of ants is initially put on the
table, divided as evenly as possible over the squares.  Ants can move
to a neighbouring square or stay put at every time step.  How many of
a square's ants move in each of the 9 different directions is random
(using the C++ random library).  Ants can fall of the edges of the
table. The program prints the number of ants left on the table after
every time step, as well as the minimum number of ants on any square
and the maximum. It also produces a text file with the number of ants
on each square for every time step.

This code comes with a Makefiles to help compile, generate
documentation, run and plot results.

On the Teach cluster, compile the app with:

```sh
   source teachsetup
   make antsontable
```

To also denerate html and pdf versions of the code documentation using Doxygen, use

```sh
   make doc
```

Type 'make help' to see other usages of the Makefiles.

Ramses van Zon, SciNet, University of Toronto
2019-2021
